# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Enum CrawlIssueIssueType.IssueType

    java.lang.Object
      java.lang.Enum<CrawlIssueIssueType.IssueType>
          com.google.gdata.data.webmastertools.CrawlIssueIssueType.IssueType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CrawlIssueIssueType.IssueType>

Enclosing class:
  CrawlIssueIssueType

    public static enum CrawlIssueIssueType.IssueType

extends java.lang.Enum<CrawlIssueIssueType.IssueType>

Value.

Enum Constant Summary
`HTTP_ERROR` The type of issue is HTTP error.
`IN_SITEMAP` The type of issue is URL In Sitemap.
`NEWS_ERROR` The type of issue is News Error.
`NOT_FOLLOWED` The type of issue is Not Followed.
`NOT_FOUND` The type of issue is Not Found.
`RESTRICTED_ROBOTS_TXT` The type of issue is Restricted by robots.txt.
`TIMED_OUT` The type of issue is Timed Out.
`UNREACHABLE` The type of issue is Unreachable.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static CrawlIssueIssueType.IssueType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CrawlIssueIssueType.IssueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HTTP_ERROR

    public static final CrawlIssueIssueType.IssueType HTTP_ERROR

  The type of issue is HTTP error.

### IN_SITEMAP

    public static final CrawlIssueIssueType.IssueType IN_SITEMAP

  The type of issue is URL In Sitemap.

### NEWS_ERROR

    public static final CrawlIssueIssueType.IssueType NEWS_ERROR

  The type of issue is News Error.

### NOT_FOLLOWED

    public static final CrawlIssueIssueType.IssueType NOT_FOLLOWED

  The type of issue is Not Followed.

### NOT_FOUND

    public static final CrawlIssueIssueType.IssueType NOT_FOUND

  The type of issue is Not Found.

### RESTRICTED_ROBOTS_TXT

    public static final CrawlIssueIssueType.IssueType RESTRICTED_ROBOTS_TXT

  The type of issue is Restricted by robots.txt.

### TIMED_OUT

    public static final CrawlIssueIssueType.IssueType TIMED_OUT

  The type of issue is Timed Out.

### UNREACHABLE

    public static final CrawlIssueIssueType.IssueType UNREACHABLE

  The type of issue is Unreachable.

Method Detail

### values

    public static CrawlIssueIssueType.IssueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CrawlIssueIssueType.IssueType c : CrawlIssueIssueType.IssueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CrawlIssueIssueType.IssueType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML